{
  "name": "@ory/kratos-selfservice-ui-node",
  "version": "0.0.9",
  "description": "A reference implementation of a selfservice UI for ORY Kratos in node.js",
  "main": "src/index.ts",
  "scripts": {
    "build": "rm -rf lib/* && tsc",
    "serve": "node lib/index.js",
    "start": "nodemon",
    "test": "exit 0",
    "format": "prettier --write '{src,views,types}/**/*.{ts,js,css}'",
    "format:check": "prettier --check '{src,views,types}/**/*.{ts,js,css}'",
    "prepublishOnly": "npm run build"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/ory/kratos-selfservice-ui-node.git"
  },
  "author": "Aeneas Rekkas",
  "license": "Apache-2.0",
  "bugs": {
    "url": "https://github.com/ory/kratos-selfservice-ui-node/issues"
  },
  "homepage": "https://github.com/ory/kratos-selfservice-ui-node#readme",
  "dependencies": {
    "@ory/client": "0.0.1-alpha.21",
    "@ory/integrations": "0.1.2",
    "@ory/kratos-client": "0.8.0-alpha.2",
    "@ory/themes": "0.0.101",
    "axios": "^0.24.0",
    "cookie-parser": "^1.4.5",
    "express": "^4.17.1",
    "express-handlebars": "^5.3.4",
    "express-jwt": "^6.0.0",
    "express-winston": "^4.1.0",
    "handlebars-helpers": "^0.9.8",
    "jwks-rsa": "^2.0.2",
    "react": "^17.0.2",
    "winston": "^3.3.3"
  },
  "devDependencies": {
    "@trivago/prettier-plugin-sort-imports": "^3.0.0",
    "@types/axios": "^0.14.0",
    "@types/cookie-parser": "^1.4.2",
    "@types/express": "^4.17.13",
    "@types/express-handlebars": "^5.3.1",
    "@types/handlebars-helpers": "^0.5.2",
    "@types/jwt-decode": "^3.1.0",
    "@types/next": "^9.0.0",
    "@types/node": "^16.10.5",
    "@types/react": "^17.0.29",
    "@types/react-dom": "^17.0.9",
    "nodemon": "^2.0.14",
    "npm-run-all": "^4.1.5",
    "ory-prettier-styles": "^1.1.2",
    "prettier": "^2.3.2",
    "ts-node": "^10.4.0",
    "typescript": "^4.4.4"
  }
}
